ros-melodic-moveit-ros-visualization (1.0.6-1bionic) bionic; urgency=high

  * [feature] MP display: add units to joints tab (#2264 <https://github.com/ros-planning/moveit/issues/2264>)
  * [feature] Allow adding planning scene shapes from rviz panel (#2198 <https://github.com/ros-planning/moveit/issues/2198>)
  * [feature] Default to Planning tab initially (#2061 <https://github.com/ros-planning/moveit/issues/2061>)
  * [fix]     Fix deferred robot model loading (#2245 <https://github.com/ros-planning/moveit/issues/2245>)
  * [maint]   Migrate to clang-format-10
  * [maint]   Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Jorge Nicho, Markus Vieth, Michael Görner, Robert Haschke, Michael Görner

 -- Jon Binney <jon.binney@gmail.com>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.5-1bionic) bionic; urgency=high

  * [feature] Improve rviz GUI to add PlanningScene objects. Ask for scaling large meshes. (#2142 <https://github.com/ros-planning/moveit/issues/2142>)
  * [maint]   Replace robot_model and robot_state namespaces with moveit::core (#2135 <https://github.com/ros-planning/moveit/issues/2135>)
  * [maint]   Fix catkin_lint issues (#2120 <https://github.com/ros-planning/moveit/issues/2120>)
  * [feature] PlanningSceneDisplay speedup (#2049 <https://github.com/ros-planning/moveit/issues/2049>)
  * [feature] Added support for PS4 joystick (#2060 <https://github.com/ros-planning/moveit/issues/2060>)
  * [fix]     MP display: planning attempts are natural numbers (#2076 <https://github.com/ros-planning/moveit/issues/2076>, #2082 <https://github.com/ros-planning/moveit/issues/2082>)
  * Contributors: Felix von Drigalski, Henning Kayser, Jafar Abdi, Michael Görner, Robert Haschke, Simon Schmeisser, TrippleBender

 -- Jon Binney <jon.binney@gmail.com>  Tue, 07 Jul 2020 22:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.4-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Fri, 29 May 2020 22:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.3-1bionic) bionic; urgency=high

  * [fix]     MotionPlanningDisplay: change internal shortcut Ctrl+R to Ctrl+I (#1967 <https://github.com/ros-planning/moveit/issues/1967>)
  * [fix]     Remove PlanningSceneInterface from rviz display, but use its PlanningSceneMonitor instead
  * [fix]     Fix segfault in RobotStateVisualization (#1941 <https://github.com/ros-planning/moveit/issues/1941>)
  * [feature] Provide visual feedback on success of requestPlanningSceneState()
  * [feature] Wait for get_planning_scene in background (#1934 <https://github.com/ros-planning/moveit/issues/1934>)
  * [feature] Reduce step size for pose-adapting widgets
  * [fix]     Reset scene_marker when disabling motion planning panel
  * [fix]     Enable/disable motion planning panel with display
  * [fix]     Enable/disable pose+scale group box when collision object is selected/deselected
  * [fix]     Correctly populate the list of scene objects in the motion planning panel
  * [feature] Resize scene marker with collision object
  * [feature] Show attached bodies in trajectory trail (#1766 <https://github.com/ros-planning/moveit/issues/1766>)
  * [fix]     Fix REALTIME trajectory playback (#1683 <https://github.com/ros-planning/moveit/issues/1683>)
  * [maint]   Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint]   Notice changes in rviz planning panel requiring saving (#1991 <https://github.com/ros-planning/moveit/issues/1991>)
  * [maint]   Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint]   Improve Python 3 compatibility (#1870 <https://github.com/ros-planning/moveit/issues/1870>)
    * Replaced StringIO with BytesIO for python msg serialization
    * Use py_bindings_tools::ByteString as byte-based serialization buffer on C++ side
  * [maint]   Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix]     Fix pruning of enclosed nodes when rendering octomap in RViz (#1685 <https://github.com/ros-planning/moveit/issues/1685>)
  * [fix]     Fix missing scene_manager initialization in OcTreeRender's  constructor (#1817 <https://github.com/ros-planning/moveit/issues/1817>)
  * [feature] new Joints tab in RViz motion panel (#1308 <https://github.com/ros-planning/moveit/issues/1308>)
  * [feature] Add <previous> robot state to RViz motion panel (#1742 <https://github.com/ros-planning/moveit/issues/1742>)
  * Contributors: Bjar Ne, Dale Koenig, MarqRazz, Max Krichenbauer, Michael Görner, Robert Haschke, RyodoTanaka, Sean Yen, Takara Kasai, Yannick Jonetzko, Yu, Yan, v4hn

 -- Jon Binney <jon.binney@gmail.com>  Sat, 25 Apr 2020 22:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.2-1bionic) bionic; urgency=high

  * [maintenance] Removed unnecessary null pointer checks on deletion (#1410 <https://github.com/ros-planning/moveit/issues/1410>)
  * Contributors: Mahmoud Ahmed Selim

 -- Jon Binney <jon.binney@gmail.com>  Thu, 27 Jun 2019 22:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.1-1bionic) bionic; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Isaac Robert Haschke, Yu, Yan

 -- Jon Binney <jon.binney@gmail.com>  Thu, 07 Mar 2019 23:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.0-1bionic) bionic; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Sat, 23 Feb 2019 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.10.8-1bionic) bionic; urgency=high

  * [fix] Handle exceptions in rviz plugins (#1267 <https://github.com/ros-planning/moveit/issues/1267>)
  * Contributors: Christian Rauch, Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Sun, 23 Dec 2018 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.10.7-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Wed, 12 Dec 2018 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.10.6-1bionic) bionic; urgency=high

  * [enhancement] Add check box for CartesianPath planning (#1238 <https://github.com/ros-planning/moveit/issues/1238>)
  * [enhancement] Improve MotionPlanning panel (#1198 <https://github.com/ros-planning/moveit/issues/1198>)
    * Allow selection of planning group in planning panel
    * Choose start and goal state directly from combobox
  * [fix] rviz crash when changing the planning group while executing (#1198 <https://github.com/ros-planning/moveit/issues/1198>)
  * [fix] Fix several issues in rendering of attached bodies (#1199 <https://github.com/ros-planning/moveit/issues/1199>)
    * Show / hide attached body together with robot
    * Force PlanningScene rendering on enable
    * Link SceneDisplay's attached-body-color to TrajectoryVisualization's one
  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Use C++14 (#1146 <https://github.com/ros-planning/moveit/issues/1146>)
  * [maintenance] Cleanup Robot Interaction (#1194 <https://github.com/ros-planning/moveit/issues/1194>)
    * Postpone subscription to trajectory topic
    * Fix memory leaks
  * [maintenance] Simplify shared tf2 buffer usage (#1196 <https://github.com/ros-planning/moveit/issues/1196>)
  * [maintenance] Code Cleanup (#1179 <https://github.com/ros-planning/moveit/issues/1179>)
  * Remove obsolete eigen_conversions dependency (#1181 <https://github.com/ros-planning/moveit/issues/1181>)
  * Contributors: Alex Moriarty, Benjamin Scholz, Dave Coleman, Kei Okada, Michael Görner, Robert Haschke, Sven Krause

 -- Jon Binney <jon.binney@gmail.com>  Sat, 08 Dec 2018 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.10.5-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Wed, 31 Oct 2018 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.10.4-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.10.3-1bionic) bionic; urgency=high

  * [maintenance] Store more settings of rviz' PlanningFrame (#1135 <https://github.com/ros-planning/moveit/issues/1135>)
  * [maintenance] Lint visualization (#1144 <https://github.com/ros-planning/moveit/issues/1144>)
  * Contributors: Alexander Gutenkunst, Dave Coleman

 -- Jon Binney <jon.binney@gmail.com>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.10.2-1bionic) bionic; urgency=high

  * [fix] build issue in boost/thread/mutex.hpp (#1055 <https://github.com/ros-planning/moveit/issues/1055>)
  * [fix] optional namespace args (#929 <https://github.com/ros-planning/moveit/issues/929>)
  * [maintenance] Python3 support (#1103 <https://github.com/ros-planning/moveit/issues/1103>, #1054 <https://github.com/ros-planning/moveit/issues/1054>)
  * [maintenance] add minimum required pluginlib version (#927 <https://github.com/ros-planning/moveit/issues/927>)
  * Contributors: Michael Görner, Mikael Arguedas, Mohmmad Ayman, Robert Haschke, Timon Engelke, mike lautman

 -- Jon Binney <jon.binney@gmail.com>  Tue, 23 Oct 2018 22:00:00 -0000

ros-melodic-moveit-ros-visualization (0.10.1-1bionic) bionic; urgency=high

  * [maintenance] migration from tf to tf2 API (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * [feature] rviz plugin: set start/goal RobotState from external (#823 <https://github.com/ros-planning/moveit/issues/823>)
    - /rviz/moveit/update_custom_start_state
    - /rviz/moveit/update_custom_goal_state
    stopping from external:
    - /rviz/moveit/stop
  * [feature] namespace capabilities for moveit_commander (#835 <https://github.com/ros-planning/moveit/issues/835>)
  * [fix] consider shape transform for OcTree
  * [fix] realtime trajectory display (#761 <https://github.com/ros-planning/moveit/issues/761>)
  * Contributors: Alexander Rössler, Dave Coleman, Ian McMahon, Mikael Arguedas, Pan Hy, Phy, Robert Haschke, Will Baker

 -- Jon Binney <jon.binney@gmail.com>  Thu, 24 May 2018 22:00:00 -0000

ros-melodic-moveit-ros-visualization (0.9.11-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Sun, 24 Dec 2017 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.9.10-1bionic) bionic; urgency=high

  * [fix] don't crash on empty robot_description in RobotState plugin #688 <https://github.com/ros-planning/moveit/issues/688>
  * [fix] RobotState rviz previewer: First message from e.g. latching publishers is not applied to robot state correctly (#596 <https://github.com/ros-planning/moveit/issues/596>)
  * [doc] Document auto scale in Rviz plugin (#602 <https://github.com/ros-planning/moveit/issues/602>)
  * Contributors: Dave Coleman, Isaac I.Y. Saito, Simon Schmeisser, axelschroth

 -- Jon Binney <jon.binney@gmail.com>  Fri, 08 Dec 2017 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.9.9-1bionic) bionic; urgency=high

  * [fix] RobotStateVisualization: clear before load to avoid segfault #572 <https://github.com/ros-planning/moveit/pull/572>
  * Contributors: v4hn

 -- Jon Binney <jon.binney@gmail.com>  Sat, 05 Aug 2017 22:00:00 -0000

ros-melodic-moveit-ros-visualization (0.9.8-1bionic) bionic; urgency=high

  * [fix] TrajectoryVisualization crash if no window_context exists (#523 <https://github.com/ros-planning/moveit/issues/523>, #525 <https://github.com/ros-planning/moveit/issues/525>)
  * [fix] robot display: Don't reload robot model upon topic change (Fixes #528 <https://github.com/ros-planning/moveit/issues/528>)
  * [build] add Qt-moc guards for boost 1.64 compatibility (#534 <https://github.com/ros-planning/moveit/issues/534>)
  * [enhance] rviz display: stop trajectory visualization on new plan. Fixes #526 <https://github.com/ros-planning/moveit/issues/526> (#531 <https://github.com/ros-planning/moveit/issues/531>, #510 <https://github.com/ros-planning/moveit/issues/510>).
  * Contributors: Isaac I.Y. Saito, Simon Schmeisser, Yannick Jonetzko, henhenhen, v4hn

 -- Jon Binney <jon.binney@gmail.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-melodic-moveit-ros-visualization (0.9.7-1bionic) bionic; urgency=high

  * [capability] New panel with a slider to control the visualized trajectory (#491 <https://github.com/ros-planning/moveit/issues/491>) (#508 <https://github.com/ros-planning/moveit/issues/508>)
  * [fix] Build for Ubuntu YZ by adding BOOST_MATH_DISABLE_FLOAT128 (#505 <https://github.com/ros-planning/moveit/issues/505>)
  * Contributors: Dave Coleman, Mikael Arguedas

 -- Jon Binney <jon.binney@gmail.com>  Sun, 04 Jun 2017 22:00:00 -0000

ros-melodic-moveit-ros-visualization (0.9.6-1bionic) bionic; urgency=high

  * [fix] RViz plugin some cosmetics and minor refactoring #482 <https://github.com/ros-planning/moveit/issues/482>
  * [fix] rviz panel: Don't add object marker if the wrong tab is selected #454 <https://github.com/ros-planning/moveit/pull/454>
  * [improve] RobotState display [kinetic] (#465 <https://github.com/ros-planning/moveit/issues/465>)
  * Contributors: Jorge Nicho, Michael Goerner, Yannick Jonetzko

 -- Jon Binney <jon.binney@gmail.com>  Tue, 11 Apr 2017 22:00:00 -0000

ros-melodic-moveit-ros-visualization (0.9.5-1bionic) bionic; urgency=high

  * [fix] correct "simplify widget handling" #452 <https://github.com/ros-planning/moveit/pull/452> This reverts "simplify widget handling (#442 <https://github.com/ros-planning/moveit/issues/442>)"
  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * [enhancement] Remove "catch (...)" instances, catch std::exception instead of std::runtime_error (#445 <https://github.com/ros-planning/moveit/issues/445>)
  * Contributors: Bence Magyar, Dave Coleman, Isaac I.Y. Saito, Yannick Jonetzko

 -- Jon Binney <jon.binney@gmail.com>  Tue, 07 Mar 2017 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.9.4-1bionic) bionic; urgency=high

  * [fix] race conditions when updating PlanningScene (#350 <https://github.com/ros-planning/moveit/issues/350>)
  * [enhancement] Add colours to trajectory_visualisation display (#362 <https://github.com/ros-planning/moveit/issues/362>)
  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Bence Magyar, Dave Coleman, Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Sun, 05 Feb 2017 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.9.3-1bionic) bionic; urgency=high

  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * Contributors: Dave Coleman, Ian McMahon

 -- Jon Binney <jon.binney@gmail.com>  Tue, 15 Nov 2016 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.9.2-1bionic) bionic; urgency=high

  * [Maintenance] Auto format codebase using clang-format (#284 <https://github.com/ros-planning/moveit/issues/284>)
  * Contributors: Dave Coleman

 -- Jon Binney <jon.binney@gmail.com>  Fri, 04 Nov 2016 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.6.6-1bionic) bionic; urgency=high

  * cleanup cmake tests, fix empty output
  * added missing rostest dependency (#680 <https://github.com/ros-planning/moveit_ros/issues/680>), fixes c6d0ede (#639 <https://github.com/ros-planning/moveit_ros/issues/639>)
  * [moveit joy] Add friendlier error message
  * relax Qt-version requirement
    Minor Qt version updates are ABI-compatible with each other:
    https://wiki.qt.io/Qt-Version-Compatibility
  * replaced cmake_modules dependency with eigen
  * [jade] eigen3 adjustment
  * always (re)create collision object marker
    other properties than pose (such as name of the marker) need to be adapted too
  * use getModelFrame() as reference frame for markers
  * moved "Publish Scene" button to "Scene Objects" tab
    previous location on "Context" tab was weird
  * cherry-pick PR #635 <https://github.com/ros-planning/moveit_ros/issues/635> from indigo-devel
  * unify Qt4 / Qt5 usage across cmake files
    - fetch Qt version from rviz
    - define variables/macros commonly used for Qt4 and Qt5
    - QT_LIBRARIES
    - qt_wrap_ui()
  * leave frame transforms to rviz
    The old code
    (1.) reimplemented frame transforms in rviz
    although it could simply utilize rviz' FrameManager
    (2.) assumed the transform between the model-frame
    and the fixed_frame was constant and only needed to be updated
    if the frame changes (ever tried to make the endeffector
    your fixed frame?)
    (3.) was broken because on startup calculateOffsetPosition was called
    *before* the robot model is loaded, so the first (and usually only)
    call to calculateOffsetPosition failed.
    Disabling/Enabling the display could be used to work around this...
    This fixes all three issues.
  * display planned path in correct rviz context
    This was likely a typo.
  * Solved parse error with Boost 1.58. Fixes #653 <https://github.com/ros-planning/moveit_ros/issues/653>
  * Enable optional build against Qt5, use -DUseQt5=On to enable it
  * explicitly link rviz' default_plugin library
    The library is not exported anymore and now is provided separately from rviz_LIBRARIES.
    See https://github.com/ros-visualization/rviz/pull/979 for details.
  * merge indigo-devel changes (PR #633 <https://github.com/ros-planning/moveit_ros/issues/633> trailing whitespace) into jade-devel
  * Removed trailing whitespace from entire repository
  * correctly handle int and float parameters
    Try to parse parameter as int and float (in that series)
    and use IntProperty or FloatProperty on success to have
    input checking.
    Floats formatted without decimal dot, e.g. "0", will be
    considered as int!
    All other parameters will be handled as string.
  * access planner params in rviz' MotionPlanningFrame
  * new method MoveGroup::getDefaultPlannerId(const std::string &group)
    ... to retrieve default planner config from param server
    moved corresponding code from rviz plugin to MoveGroup interface
    to facilitate re-use
  * correctly initialize scene robot's parameters after initialization
    - loaded parameters were ignored
    - changed default alpha value to 1 to maintain previous behaviour
  * load default_planner_config from default location
    instead of loading from /<ns>/default_planner_config, use
    /<ns>/move_group/<group>/default_planner_config, which is the default
    location for planner_configs too
  * Merge pull request #610 <https://github.com/ros-planning/moveit_ros/issues/610>: correctly update all markers after robot motion
  * fixing conflicts, renaming variable
  * Merge pull request #612 <https://github.com/ros-planning/moveit_ros/issues/612> from ubi-agni/interrupt-traj-vis
    interrupt trajectory visualization on arrival of new display trajectory
  * cherry-picked PR #611 <https://github.com/ros-planning/moveit_ros/issues/611>: fix segfault when disabling and re-enabling TrajectoryVisualization
  * cherry-picked PR #609 <https://github.com/ros-planning/moveit_ros/issues/609>: load / save rviz' workspace config
  * added missing initialization
  * correctly setAlpha for new trail
  * fixed race condition for trajectory-display interruption
  * cleanup TrajectoryVisualization::update
    simplified code to switch to new trajectory / start over animation in loop mode
  * new GUI property to allow immediate interruption of displayed trajectory
  * immediately show trajectory after planning (interrupting current display)
  * fix segfault when disabling and re-enabling TrajectoryVisualization
  * update pose of all markers when any marker moved
    Having several end-effector markers attached to a group (e.g. a multi-
    fingered hand having an end-effector per fingertip and an end-effector
    for the hand base), all markers need to update their pose on any motion
    of any marker. In the example: if the hand base is moved, the fingertip
    markers should be moved too.
  * use move_group/default_workspace_bounds as a fallback for workspace bounds
  * code style cleanup
  * fixed tab order of rviz plugin widgets
  * load / save rviz' workspace config
  * saves robot name to db from moveit. also robot name accessible through robot interface python wrapper
  * Added install rule to install moveit_joy.py.
  * motion_planning_frame_planning: use /default_planner_config parma to specify default planning algorithm
  * Avoid adding a slash if getMoveGroupNS() is empty.
    If the getMoveGroupNS() returns an empty string, ros::names::append() inserts a slash in front of 'right', which changes it to a global name.
    Checking getMoveGroupNS() before calling append removes the issue.
    append() behaviour will not be changed in ros/ros_comm.
  * Contributors: Ammar Najjar, Dave Coleman, Isaac I.Y. Saito, Jochen Welle, Kei Okada, Michael Ferguson, Michael Görner, Robert Haschke, Sachin Chitta, Simon Schmeisser (isys vision), TheDash, Thomas Burghout, dg, v4hn

 -- Jon Binney <jon.binney@gmail.com>  Tue, 07 Jun 2016 22:00:00 -0000

ros-melodic-moveit-ros-visualization (0.6.5-1bionic) bionic; urgency=high

  * update maintainers
  * Created new trajectory display, split from motion planning display
  * Added new trajectory display inside of motion planning display
  * Fix bug with alpha property in trajectory robot
  * Optimized number of URDFs loaded
  * Changed motion planning Rviz icon to MoveIt icon
  * Add time factor support for iterative_time_parametrization
  * Contributors: Dave Coleman, Michael Ferguson, kohlbrecher

 -- Jon Binney <jon.binney@gmail.com>  Fri, 23 Jan 2015 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.6.4-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Fri, 19 Dec 2014 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.6.3-1bionic) bionic; urgency=high

  * fix duplicate planning attempt box, also fix warning about name
  * Contributors: Michael Ferguson

 -- Jon Binney <jon.binney@gmail.com>  Tue, 02 Dec 2014 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.6.2-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Thu, 30 Oct 2014 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.6.1-1bionic) bionic; urgency=high

  * Fixed joystick documentation
  * Joystick documentation and queue_size addition
  * Contributors: Dave Coleman

 -- Jon Binney <jon.binney@gmail.com>  Thu, 30 Oct 2014 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.6.0-1bionic) bionic; urgency=high

  * Added move_group capability for clearing octomap.
  * Fix coding style according to the moveit style
  * Better user output, kinematic solver error handling, disclaimer
  * Remove sample launch file for joystick and update
    joystick python script.
    1) Use moveit-python binding to parse SRDF.
    2) Make the speed slower to control the marker from joystick.
    3) Change joystick button mapping to be suitable for the users.
  * Update joystick documentation and rename the
    the launch file for joy stick program.
    Shorten the message the check box to toggle
    communication with joy stick script.
  * add checkbox to toggle if moveit rviz plugin subscribes
    the topics to be used for communication to the external ros nodes.
    update moveit_joy.py to parse srdf to know planning_groups and the
    names of the end effectors and support multi-endeffector planning groups.
  * motion_planning_rviz_plugin: add move_group namespace option
    This allows multiple motion_planning_rviz_plugin /
    planning_scene_rviz_plugin to be used in RViz and connect to
    differently-namespaced move_group nodes.
  * moved planning_attempts down one row in gui to maintain gui width
  * Added field next to planning_time for planning_attempts
    Now, ParallelPlanner terminates either due to timeout, or due to this many attempts.
    Note, that ParallelPlanner run's Dijkstra's on all the nodes of all the sucessful plans (hybridize==true).
  * adding PoseStamped topic to move the interactive marker from other ros nodes
    such as joystick programs.
  * motion_planning_rviz_plugin: add move_group namespace option
    This allows multiple motion_planning_rviz_plugin /
    planning_scene_rviz_plugin to be used in RViz and connect to
    differently-namespaced move_group nodes.
  * Contributors: Chris Lewis, Dave Coleman, Dave Hershberger, Jonathan Bohren, Ryohei Ueda, Sachin Chitta

 -- Jon Binney <jon.binney@gmail.com>  Sun, 26 Oct 2014 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.5.19-1bionic) bionic; urgency=high

  * Changed rviz plugin action server wait to non-simulated time
  * Fix [-Wreorder] warning.
  * Fix RobotState rviz plugin to not display when disabled
  * Add check for planning scene monitor connection, with 5 sec delay
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Dave Coleman

 -- Jon Binney <jon.binney@gmail.com>  Sun, 22 Jun 2014 22:00:00 -0000

ros-melodic-moveit-ros-visualization (0.5.18-1bionic) bionic; urgency=high

  * add pkg-config as dep
  * find PkgConfig before using pkg_check_modules
    PC specific functions mustn't be used before including PkgConfig
  * Contributors: Ioan Sucan, v4hn

 -- Jon Binney <jon.binney@gmail.com>  Sat, 22 Mar 2014 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.5.17-1bionic) bionic; urgency=high

  * update build system for ROS indigo
  * update maintainer e-mail
  * Contributors: Ioan Sucan

 -- Jon Binney <jon.binney@gmail.com>  Fri, 21 Mar 2014 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.5.16-1bionic) bionic; urgency=high

  * back out problematic ogre fixes
  * robot_interaction: split InteractionHandler into its own file
  * Switched from isStateColliding to isStateValid
  * Changed per PR review
  * Clean up debug output
  * Added ability to set a random <collision free> start/goal position
  * Merge branch 'hydro-devel' of https://github.com/ros-planning/moveit_ros into acorn_rviz_stereo
  * rviz: prepare for Ogre1.10
  * Contributors: Acorn Pooley, Dave Coleman

 -- Jon Binney <jon.binney@gmail.com>  Wed, 26 Feb 2014 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.5.14-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Wed, 05 Feb 2014 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.5.13-1bionic) bionic; urgency=high

  * remove debug printfs
  * planning_scene_display: use requestPlanningSceneState()
    Get current planning scene state when planning scene display is
    enabled and/or model is loaded.
  * Fix Parse error at "BOOST_JOIN" error
    See: https://bugreports.qt-project.org/browse/QTBUG-22829
  * Contributors: Acorn Pooley, Benjamin Chretien

 -- Jon Binney <jon.binney@gmail.com>  Wed, 05 Feb 2014 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.5.12-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Thu, 02 Jan 2014 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.5.11-1bionic) bionic; urgency=high

  * Added back-link to tutorial and updated moveit website URL.
  * Ported MoveIt RViz plugin tutorial to sphinx.
  * Contributors: Dave Hershberger

 -- Jon Binney <jon.binney@gmail.com>  Thu, 02 Jan 2014 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.5.10-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Sat, 07 Dec 2013 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.5.9-1bionic) bionic; urgency=high

  * correcting maintainer email
  * Fixed an occasional crash bug in rviz plugin caused by gui calls in non-gui thread.
  * Added planning feedback to gui, refactored states tab
  * Stored states are auto loaded when warehouse database is connected

 -- Jon Binney <jon.binney@gmail.com>  Mon, 02 Dec 2013 23:00:00 -0000

ros-melodic-moveit-ros-visualization (0.5.8-1bionic) bionic; urgency=high

  * Added option to rviz plugin to show scene robot collision geometry

 -- Jon Binney <jon.binney@gmail.com>  Thu, 10 Oct 2013 22:00:00 -0000

ros-melodic-moveit-ros-visualization (0.5.7-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Mon, 30 Sep 2013 22:00:00 -0000

ros-melodic-moveit-ros-visualization (0.5.6-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Wed, 25 Sep 2013 22:00:00 -0000

ros-melodic-moveit-ros-visualization (0.5.5-1bionic) bionic; urgency=high

  * Fix crash when the destructor is called before onInitialize
  * remove call for getting the combined joint limits of a group
  * bugfixes
  * porting to new RobotState API
  * use new helper class from rviz for rendering meshes

 -- Jon Binney <jon.binney@gmail.com>  Sun, 22 Sep 2013 22:00:00 -0000

ros-melodic-moveit-ros-visualization (0.5.4-1bionic) bionic; urgency=high

  * Added manipulation tab, added plan id to manipulation request
  * make headers and author definitions aligned the same way; white space fixes
  * using action client for object recognition instead of topic
  * move background_processing lib to core
  * display collision pairs instead of simply colliding links

 -- Jon Binney <jon.binney@gmail.com>  Tue, 13 Aug 2013 22:00:00 -0000

ros-melodic-moveit-ros-visualization (0.5.2-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Sun, 14 Jul 2013 22:00:00 -0000

ros-melodic-moveit-ros-visualization (0.5.1-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Sat, 13 Jul 2013 22:00:00 -0000

ros-melodic-moveit-ros-visualization (0.5.0-1bionic) bionic; urgency=high

  * fix #275 <https://github.com/ros-planning/moveit_ros/issues/275>
  * white space fixes (tabs are now spaces)

 -- Jon Binney <jon.binney@gmail.com>  Thu, 11 Jul 2013 22:00:00 -0000

ros-melodic-moveit-ros-visualization (0.4.5-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Tue, 02 Jul 2013 22:00:00 -0000

ros-melodic-moveit-ros-visualization (0.4.4-1bionic) bionic; urgency=high

  * remove root_link_name property
  * add status tab to Rviz plugin

 -- Jon Binney <jon.binney@gmail.com>  Tue, 25 Jun 2013 22:00:00 -0000


